<?php

namespace Drupal\webt;

/**
 * Provides an interface for WEB-T constants.
 */
interface WebtConstInterface {
  /**
   * Logger name.
   */
  const WEBT_LOGGER = 'webt';
  /**
   * Storage key for check translations process.
   */
  const WEBT_CHECK_TRANSLATIONS = 'webt_check_translations';
  /**
   * Storage key for deleted enitity translation original version IDs.
   */
  const WEBT_DELETED_TRANSLATION_ORIGINAL_IDS = 'webt_deleted_translation_original_ids';
  /**
   * Storage key for WEB-T backend processes.
   */
  const WEBT_PROCESSING = 'webt_processing';
}
